
Figure - Bug #113511
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 111342 (New): BSP专项-性能测试-内存

【BSP】【EVT1】【MEM】【必现】【User】设备刷机启动ROM显示64G，恢复出厂设置后，变更为128G
2022-11-01 17:23 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-01

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: 01.00.0042.X101

Resolution: FIXED Degrated: --

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 设备第一次启动时没有resize date分区

Description

【前提条件】

1、设备已开机

【测试步骤】

1.开机进入homescreen主界面

2.进入设置-存储

3.查看存储大小

4.恢复出厂设置，再次查看ROM大小

【预期结果】

3.128G total

4.128G total

【实际结果】

3.64G total

4.128G total

Related issues:

Related to Figure - Bug # 113610: 【BSP】【EVT1】【MEM】【必现】【压测... CLOSED 2022-11-02 2023-03-10

History

#1 - 2022-11-02 10:09 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to CD BSP 叶鹏 

- Target version set to VX1_MCE_FSE_V3.0_update_20221115

#2 - 2022-11-04 09:37 - CD BSP 叶鹏 

- Status changed from New to RESOLVED

- % Done changed from 0 to 80

已经修改代码，添加每次刷机后第一次启动时对userdata的resize，本地验证通过

修改：

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/kona/+/160038

https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/160045

影响：

设备每次刷机后第一次启动时间会变长（由于要多一个resize的步骤），客户对每次刷机后的第一次启动时间没有明确的需求，忽略
#3 - 2022-11-10 17:49 - CD BSP-唐金泽

- Resolution changed from -- to FIXED

#4 - 2022-11-14 15:33 - CD Test赵飞

- Parent task set to #111342

#5 - 2022-11-17 09:48 - CD BSP 叶鹏 

- % Done changed from 80 to 90

- Root cause set to 设备第一次启动时没有resize date分区

#6 - 2022-11-21 13:52 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

- Assignee changed from CD BSP 叶鹏  to CDTS_TEST 王成

#7 - 2022-11-21 13:54 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

#8 - 2022-11-21 18:46 - CDTS_TEST 刘勇

- Status changed from CLOSED to New

- Assignee changed from CDTS_TEST 王成 to CD BSP 叶鹏 

【HW】EVT2-VC1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0048.X101（20221115注意区分0046版本）

【前提条件】

1、输入OS版本（FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0041.X101——1028Release版本）

【测试步骤】

1.开机进入homescreen主界面

2.进入设置-存储--查看存储大小

3.将0048的全量包，push进文件夹中（sdcard/Download/update.zip）  进入MCUupgrade程序，运行OTA升级

4.OTA升级后，再次查看ROM大小

【预期结果】

4.128G total

【实际结果】

4.64G total

【测试次数】1次（客户反馈1次）

#9 - 2022-11-22 10:26 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Critical

#10 - 2022-11-24 21:31 - CD BSP 叶鹏 

- Status changed from New to RESOLVED

由于figure设备的resize的动作是在第一次刷机启动的时候进行的，后续的启动都不会执行resize动作；

使用升级包升级的设备是已经启动过的，升级之后也不会再执行resize userdata的动作了；

设备在刷了2022-11-04号以后的版本，第一次启动都会按照实际的大小进行一次resize；2022-11-04号以前的版本建议通过恢复出场设置来执行resize的操作

。

2025-07-04 2/3



#11 - 2022-11-28 14:46 - CD BSP-唐金泽

- Assignee changed from CD BSP 叶鹏  to CDTS_TEST 刘勇

#12 - 2022-12-01 10:23 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

【HW】EVT2-VC1

【SW】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

【前提条件】

【测试步骤】

1.刷入MPU后开机进入homescreen主界面

2.进入设置-存储--查看存储大小

【实际结果】

2.128G total

【验证次数】5次

【测试结果】PASS，直接刷机后验证OK

#13 - 2022-12-01 10:24 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

- % Done changed from 90 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0053.X101

#14 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160038 general/platform/vendor/qcom/kona Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yepeng0322@thundersoft.com

BSP:system/core: fstab resize supportadd resize support to fstabIssueID: TS-R-BUG-113511TC-RID: 1200-0102601Change-Id:

I51fe893e221a34db9ad202af50378a7648230978

#15 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160045 general/platform/system/core Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yepeng0322@thundersoft.com

BSP:system/core: fstab resize supportadd resize support to fstabIssueID: TS-R-BUG-113511TC-RID: 1200-0102601Change-Id:

I6f2526885bb6781aac912647446a04957f6aeb46
